Page MenuHomePhabricator

ci: refactor all build steps into separate build scripts
ClosedPublic

Authored by zmike on Jul 17 2018, 1:47 PM.

Details

Summary

this moves each step of the ci build into a separate script with the build
type passed as an argument, allowing for easier modification of each individual
step as necessary and making travis.yml more readable

also includes:
ci: break out make commands into travis.yml from build scripts

this simplifies the platform-specific build scripts to only perform
the configure stage of the build (and any additional setup) and then
uses standardized commands for the build

in addition to being simpler, this will also provide more/better info
about build timings

ref D6603

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:47 PM
zmike requested review of this revision.Jul 17 2018, 1:47 PM
zmike added a child revision: D6605: ci: add ccache support.
zmike updated this revision to Diff 15787.Jul 23 2018, 4:43 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.

In D6603 you moved them all into the travis file just tom move them out again in the next patch? Please fold these both together.

Moving from the original one script for all build steps to having a separate script for each steps I am fine.

Once squashed together with D6603 I think I am happy with this one.

zmike added a comment.Jul 24 2018, 6:46 AM

I kept them as separate patches to make the changes more visible, ie. going from a single file to multiple files instead of multiple files to multiple files. If you prefer squashed that's fine too.

This revision now requires changes to proceed.Jul 25 2018, 12:46 AM
zmike updated this revision to Diff 15866.Jul 25 2018, 8:49 AM
zmike edited the summary of this revision. (Show Details)
stefan_schmidt accepted this revision.Jul 26 2018, 12:36 AM
This revision is now accepted and ready to land.Jul 26 2018, 12:36 AM
This revision was automatically updated to reflect the committed changes.